Name:           glshim
Version:        0.42
Release:        1%{?dist}
Summary:        OpenGL 1.x driver shim for OpenGL ES devices

License:        MIT
URL:            https://github.com/lunixbochs/glshim
Source0:        %{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake gcc-c++
BuildRequires:  libX11-devel
#BuildRequires:  python3-blessings
#BuildRequires:  python3-jinja2


%description
This is a shim providing OpenGL 1.x functionality to OpenGL ES 
accelerated cards.


%package devel
Summary:        Development files for GLUES
Requires:       %{name} = %{version}

%description devel
%summary.


%prep
%autosetup
sed -i s,python,%{__python3}, test/run


%build
mkdir build
pushd build
%cmake .. \
 -DCMAKE_INSTALL_LIBDIR=%{_libdir}
popd
%make_build -C build


%install
%make_install -C build
mkdir -p %{buildroot}%{_includedir}/%{name}
cp -pr include/* %{buildroot}%{_includedir}/%{name}


%check
# TODO
#%{__python3} test/util/run.py --base test


%files
%license LICENSE
%doc README.md
#%{_libdir}/%{name}/libGL.so.*
/usr/lib/glshim/libGL.so.*

%files devel
%license LICENSE
%doc test/tests/
#%{_libdir}/%{name}/lib*.so
/usr/lib/glshim/libGL.so
%{_includedir}/%{name}/


%changelog
* Sun Jan 05 2020 Raphael Groner <projects.rg@smart.ms> - 0.42-1
- initial


